ApiGenerateCmcaArguments (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiGenerateCmcaArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiGenerateCmcaArguments

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiGenerateCmcaArguments
      extends Object

  Arguments to generate a Cloudera Manager Certificate Authority (CMCA).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiGenerateCmcaArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiGenerateCmcaArguments` | `addAdditionalArgumentsItem(String additionalArgumentsItem)`
    `ApiGenerateCmcaArguments` | `addHostCertsItem(ApiHostCertInfo hostCertsItem)`
    `ApiGenerateCmcaArguments` | `additionalArguments(List<String> additionalArguments)`
    `ApiGenerateCmcaArguments` | `caCert(String caCert)`
    `ApiGenerateCmcaArguments` | `cmHostCert(String cmHostCert)`
    `ApiGenerateCmcaArguments` | `cmHostKey(String cmHostKey)`
    `ApiGenerateCmcaArguments` | `configureAllServices(Boolean configureAllServices)`
    `ApiGenerateCmcaArguments` | `customCA(Boolean customCA)`
    `boolean` | `equals(Object o)`
    `List<String>` | `getAdditionalArguments()` A list of additional arguments that can be passed to the certificate manager
    `String` | `getCaCert()` The certificate for the user-provided certificate authority in PEM format.
    `String` | `getCmHostCert()` The certificate for the CM host in PEM format.
    `String` | `getCmHostKey()` The private key for the CM host in PEM format.
    `Boolean` | `getConfigureAllServices()` Whether to configure all existing services to use Auto-TLS.
    `Boolean` | `getCustomCA()` Whether to generate an internal CMCA (false) or use user-provided certificates (true).
    `List<ApiHostCertInfo>` | `getHostCerts()` A list of HostCertInfo objects, which associate a hostname with the corresponding certificate and private key.
    `Boolean` | `getInterpretAsFilenames()` Whether the following arguments are interpreted as filenames local to the Cloudera Manager host (true, default) or as the actual data for that argument: * cmHostCert * cmHostKey * caCert * keystorePasswd * truststorePasswd * trustedCaCerts * hostCerts.hostCert * hostCerts.hostKey If HTTPS has not been enabled on the Cloudera Manager Admin Console and API, we *strongly* recommend that you pass the arguments as filenames local to the Cloudera Manager host (i.e.
    `String` | `getKeystorePasswd()` The password used for all Auto-TLS keystores.
    `String` | `getLocation()` The location on disk to store the CMCA directory.
    `String` | `getPassphrase()` The passphrase associated with the private key used to authenticate with the hosts (optional).
    `String` | `getPassword()` The password used to authenticate with the hosts.
    `String` | `getPrivateKey()` The private key to authenticate with the hosts.
    `BigDecimal` | `getSshPort()` SSH port.
    `String` | `getTrustedCaCerts()` A list of CA certificates that will be imported into the Auto-TLS truststore and distributed to all hosts.
    `String` | `getTruststorePasswd()` The password used for all Auto-TLS truststores.
    `String` | `getUserName()` The username used to authenticate with the hosts.
    `int` | `hashCode()`
    `ApiGenerateCmcaArguments` | `hostCerts(List<ApiHostCertInfo> hostCerts)`
    `ApiGenerateCmcaArguments` | `interpretAsFilenames(Boolean interpretAsFilenames)`
    `ApiGenerateCmcaArguments` | `keystorePasswd(String keystorePasswd)`
    `ApiGenerateCmcaArguments` | `location(String location)`
    `ApiGenerateCmcaArguments` | `passphrase(String passphrase)`
    `ApiGenerateCmcaArguments` | `password(String password)`
    `ApiGenerateCmcaArguments` | `privateKey(String privateKey)`
    `void` | `setAdditionalArguments(List<String> additionalArguments)`
    `void` | `setCaCert(String caCert)`
    `void` | `setCmHostCert(String cmHostCert)`
    `void` | `setCmHostKey(String cmHostKey)`
    `void` | `setConfigureAllServices(Boolean configureAllServices)`
    `void` | `setCustomCA(Boolean customCA)`
    `void` | `setHostCerts(List<ApiHostCertInfo> hostCerts)`
    `void` | `setInterpretAsFilenames(Boolean interpretAsFilenames)`
    `void` | `setKeystorePasswd(String keystorePasswd)`
    `void` | `setLocation(String location)`
    `void` | `setPassphrase(String passphrase)`
    `void` | `setPassword(String password)`
    `void` | `setPrivateKey(String privateKey)`
    `void` | `setSshPort(BigDecimal sshPort)`
    `void` | `setTrustedCaCerts(String trustedCaCerts)`
    `void` | `setTruststorePasswd(String truststorePasswd)`
    `void` | `setUserName(String userName)`
    `ApiGenerateCmcaArguments` | `sshPort(BigDecimal sshPort)`
    `String` | `toString()`
    `ApiGenerateCmcaArguments` | `trustedCaCerts(String trustedCaCerts)`
    `ApiGenerateCmcaArguments` | `truststorePasswd(String truststorePasswd)`
    `ApiGenerateCmcaArguments` | `userName(String userName)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiGenerateCmcaArguments

          public ApiGenerateCmcaArguments()

  - ### Method Detail

    - #### sshPort

          public ApiGenerateCmcaArguments sshPort(BigDecimal sshPort)

    - #### getSshPort

          public BigDecimal getSshPort()

      SSH port. If unset, defaults to 22.
      Returns:
        sshPort

    - #### setSshPort

          public void setSshPort(BigDecimal sshPort)

    - #### userName

          public ApiGenerateCmcaArguments userName(String userName)

    - #### getUserName

          public String getUserName()

      The username used to authenticate with the hosts. Root access to your hosts is required to install Cloudera packages. The installer will connect to your hosts via SSH and log in either directly as root or as another user with password-less sudo privileges to become root.
      Returns:
        userName

    - #### setUserName

          public void setUserName(String userName)

    - #### password

          public ApiGenerateCmcaArguments password(String password)

    - #### getPassword

          public String getPassword()

      The password used to authenticate with the hosts. Specify either this or a private key. For password-less login, use an empty string as password.
      Returns:
        password

    - #### setPassword

          public void setPassword(String password)

    - #### privateKey

          public ApiGenerateCmcaArguments privateKey(String privateKey)

    - #### getPrivateKey

          public String getPrivateKey()

      The private key to authenticate with the hosts. Specify either this or a password. <br> The private key, if specified, needs to be a standard PEM-encoded key as a single string, with all line breaks replaced with the line-feed control character '\\n'. <br> A value will typically look like the following string: <br> -----BEGIN RSA PRIVATE KEY-----\\n[base-64 encoded key]\\n-----END RSA PRIVATE KEY----- <br>
      Returns:
        privateKey

    - #### setPrivateKey

          public void setPrivateKey(String privateKey)

    - #### passphrase

          public ApiGenerateCmcaArguments passphrase(String passphrase)

    - #### getPassphrase

          public String getPassphrase()

      The passphrase associated with the private key used to authenticate with the hosts (optional).
      Returns:
        passphrase

    - #### setPassphrase

          public void setPassphrase(String passphrase)

    - #### location

          public ApiGenerateCmcaArguments location(String location)

    - #### getLocation

          public String getLocation()

      The location on disk to store the CMCA directory. If there is already a CMCA created there, it will be backed up, and a new one will be created in its place.
      Returns:
        location

    - #### setLocation

          public void setLocation(String location)

    - #### customCA

          public ApiGenerateCmcaArguments customCA(Boolean customCA)

    - #### getCustomCA

          public Boolean getCustomCA()

      Whether to generate an internal CMCA (false) or use user-provided certificates (true). When set to true (user-provided certificates), the following other arguments must be given: * cmHostCert * cmHostKey * caCert * keystorePasswd * truststorePasswd
      Returns:
        customCA

    - #### setCustomCA

          public void setCustomCA(Boolean customCA)

    - #### interpretAsFilenames

          public ApiGenerateCmcaArguments interpretAsFilenames(Boolean interpretAsFilenames)

    - #### getInterpretAsFilenames

          public Boolean getInterpretAsFilenames()

      Whether the following arguments are interpreted as filenames local to the Cloudera Manager host (true, default) or as the actual data for that argument: * cmHostCert * cmHostKey * caCert * keystorePasswd * truststorePasswd * trustedCaCerts * hostCerts.hostCert * hostCerts.hostKey If HTTPS has not been enabled on the Cloudera Manager Admin Console and API, we *strongly* recommend that you pass the arguments as filenames local to the Cloudera Manager host (i.e. set to true) to avoid leaking sensitive information over the wire in plaintext.
      Returns:
        interpretAsFilenames

    - #### setInterpretAsFilenames

          public void setInterpretAsFilenames(Boolean interpretAsFilenames)

    - #### cmHostCert

          public ApiGenerateCmcaArguments cmHostCert(String cmHostCert)

    - #### getCmHostCert

          public String getCmHostCert()

      The certificate for the CM host in PEM format. Only used if customCA == true.
      Returns:
        cmHostCert

    - #### setCmHostCert

          public void setCmHostCert(String cmHostCert)

    - #### cmHostKey

          public ApiGenerateCmcaArguments cmHostKey(String cmHostKey)

    - #### getCmHostKey

          public String getCmHostKey()

      The private key for the CM host in PEM format. Only used if customCA == true.
      Returns:
        cmHostKey

    - #### setCmHostKey

          public void setCmHostKey(String cmHostKey)

    - #### caCert

          public ApiGenerateCmcaArguments caCert(String caCert)

    - #### getCaCert

          public String getCaCert()

      The certificate for the user-provided certificate authority in PEM format. Only used if customCA == true.
      Returns:
        caCert

    - #### setCaCert

          public void setCaCert(String caCert)

    - #### keystorePasswd

          public ApiGenerateCmcaArguments keystorePasswd(String keystorePasswd)

    - #### getKeystorePasswd

          public String getKeystorePasswd()

      The password used for all Auto-TLS keystores. Only used if customCA == true.
      Returns:
        keystorePasswd

    - #### setKeystorePasswd

          public void setKeystorePasswd(String keystorePasswd)

    - #### truststorePasswd

          public ApiGenerateCmcaArguments truststorePasswd(String truststorePasswd)

    - #### getTruststorePasswd

          public String getTruststorePasswd()

      The password used for all Auto-TLS truststores. Only used if customCA == true.
      Returns:
        truststorePasswd

    - #### setTruststorePasswd

          public void setTruststorePasswd(String truststorePasswd)

    - #### trustedCaCerts

          public ApiGenerateCmcaArguments trustedCaCerts(String trustedCaCerts)

    - #### getTrustedCaCerts

          public String getTrustedCaCerts()

      A list of CA certificates that will be imported into the Auto-TLS truststore and distributed to all hosts.
      Returns:
        trustedCaCerts

    - #### setTrustedCaCerts

          public void setTrustedCaCerts(String trustedCaCerts)

    - #### additionalArguments

          public ApiGenerateCmcaArguments additionalArguments(List<String> additionalArguments)

    - #### addAdditionalArgumentsItem

          public ApiGenerateCmcaArguments addAdditionalArgumentsItem(String additionalArgumentsItem)

    - #### getAdditionalArguments

          public List<String> getAdditionalArguments()

      A list of additional arguments that can be passed to the certificate manager
      Returns:
        additionalArguments

    - #### setAdditionalArguments

          public void setAdditionalArguments(List<String> additionalArguments)

    - #### hostCerts

          public ApiGenerateCmcaArguments hostCerts(List<ApiHostCertInfo> hostCerts)

    - #### addHostCertsItem

          public ApiGenerateCmcaArguments addHostCertsItem(ApiHostCertInfo hostCertsItem)

    - #### getHostCerts

          public List<ApiHostCertInfo> getHostCerts()

      A list of HostCertInfo objects, which associate a hostname with the corresponding certificate and private key. Only used if customCA == true.
      Returns:
        hostCerts

    - #### setHostCerts

          public void setHostCerts(List<ApiHostCertInfo> hostCerts)

    - #### configureAllServices

          public ApiGenerateCmcaArguments configureAllServices(Boolean configureAllServices)

    - #### getConfigureAllServices

          public Boolean getConfigureAllServices()

      Whether to configure all existing services to use Auto-TLS. Defaults to false. If false, only MGMT services will be configured to use Auto-TLS. Use the cluster-level ConfigureAutoTlsServices command to configure Auto-TLS services for a single cluster only. All future services will be configured to use Auto-TLS regardless of this setting.
      Returns:
        configureAllServices

    - #### setConfigureAllServices

          public void setConfigureAllServices(Boolean configureAllServices)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.